#version 330 core
out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D texture1;
uniform vec4 col;
uniform bool mod;

void main()
{
	vec4 texColor;
	if(!mod){
		texColor = texture(texture1, TexCoords);
	}
    else{
		texColor = col;
	}
    if(texColor.a < 0.1){
		discard;
	}
    FragColor = texColor;
}